package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractHandMacDepositInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractHandMacDepositInfo()
    {
        this("id");
    }
    protected AbstractHandMacDepositInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.compensation.HandMacDepositEntryCollection());
    }
    /**
     * Object: 手机押金业务单 's 分录 property 
     */
    public com.kingdee.eas.custom.compensation.HandMacDepositEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.compensation.HandMacDepositEntryCollection)get("entrys");
    }
    /**
     * Object: 手机押金业务单 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApplier()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("applier");
    }
    public void setApplier(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("applier", item);
    }
    /**
     * Object:手机押金业务单's 申请日期property 
     */
    public java.util.Date getApplyDate()
    {
        return getDate("applyDate");
    }
    public void setApplyDate(java.util.Date item)
    {
        setDate("applyDate", item);
    }
    /**
     * Object:手机押金业务单's 辅助状态property 
     */
    public int getInnerState()
    {
        return getInt("innerState");
    }
    public void setInnerState(int item)
    {
        setInt("innerState", item);
    }
    /**
     * Object: 手机押金业务单 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrgUnit");
    }
    public void setAdminOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrgUnit", item);
    }
    /**
     * Object: 手机押金业务单 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:手机押金业务单's 工号property 
     */
    public String getPersonNumber()
    {
        return getString("personNumber");
    }
    public void setPersonNumber(String item)
    {
        setString("personNumber", item);
    }
    /**
     * Object:手机押金业务单's 押金收取周期property 
     */
    public java.util.Date getDepositCollectCycle()
    {
        return getDate("depositCollectCycle");
    }
    public void setDepositCollectCycle(java.util.Date item)
    {
        setDate("depositCollectCycle", item);
    }
    /**
     * Object:手机押金业务单's 押金收取单位property 
     */
    public String getDepositCollectUnit()
    {
        return getString("depositCollectUnit");
    }
    public void setDepositCollectUnit(String item)
    {
        setString("depositCollectUnit", item);
    }
    /**
     * Object:手机押金业务单's 收取押金金额property 
     */
    public java.math.BigDecimal getDepositAmount()
    {
        return getBigDecimal("depositAmount");
    }
    public void setDepositAmount(java.math.BigDecimal item)
    {
        setBigDecimal("depositAmount", item);
    }
    /**
     * Object:手机押金业务单's 押金退还周期property 
     */
    public java.util.Date getDepositRefundCycle()
    {
        return getDate("depositRefundCycle");
    }
    public void setDepositRefundCycle(java.util.Date item)
    {
        setDate("depositRefundCycle", item);
    }
    /**
     * Object:手机押金业务单's 押金退还单位property 
     */
    public String getDepositRefundUnit()
    {
        return getString("depositRefundUnit");
    }
    public void setDepositRefundUnit(String item)
    {
        setString("depositRefundUnit", item);
    }
    /**
     * Object:手机押金业务单's 退还押金金额property 
     */
    public java.math.BigDecimal getDepositRefundAmount()
    {
        return getBigDecimal("depositRefundAmount");
    }
    public void setDepositRefundAmount(java.math.BigDecimal item)
    {
        setBigDecimal("depositRefundAmount", item);
    }
    /**
     * Object: 手机押金业务单 's 收取单位 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getCollectUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("collectUnit");
    }
    public void setCollectUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("collectUnit", item);
    }
    /**
     * Object: 手机押金业务单 's 退还单位 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getRefundUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("refundUnit");
    }
    public void setRefundUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("refundUnit", item);
    }
    /**
     * Object:手机押金业务单's 是否有效property 
     */
    public boolean isIsEffected()
    {
        return getBoolean("isEffected");
    }
    public void setIsEffected(boolean item)
    {
        setBoolean("isEffected", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("CD22A6C7");
    }
}